<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for QueueResponse StructType
 * @package Dg
 * @subpackage Structs
 */
class DgQueueResponse extends AbstractStructBase
{
    /**
     * The QueueRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgQueueRS
     */
    public $QueueRS;
    /**
     * Constructor method for QueueResponse
     * @uses DgQueueResponse::setQueueRS()
     * @param \dgsoft\StructType\DgQueueRS $queueRS
     */
    public function __construct(\dgsoft\StructType\DgQueueRS $queueRS = null)
    {
        $this
            ->setQueueRS($queueRS);
    }
    /**
     * Get QueueRS value
     * @return \dgsoft\StructType\DgQueueRS|null
     */
    public function getQueueRS()
    {
        return $this->QueueRS;
    }
    /**
     * Set QueueRS value
     * @param \dgsoft\StructType\DgQueueRS $queueRS
     * @return \dgsoft\StructType\DgQueueResponse
     */
    public function setQueueRS(\dgsoft\StructType\DgQueueRS $queueRS = null)
    {
        $this->QueueRS = $queueRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgQueueResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
